# Generated by Django 3.0.4 on 2021-05-16 21:34

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('artist', '0004_delete_concertartist'),
        ('concert', '0009_auto_20210516_0049'),
    ]

    operations = [
        migrations.CreateModel(
            name='ConcertArtist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('probability', models.FloatField(null=True, verbose_name='вероятность')),
                ('artist', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='concerts', to='artist.Artist', verbose_name='артист')),
                ('concert', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='concert.Concert', verbose_name='концерт')),
            ],
            options={
                'verbose_name': 'концерт артиста',
                'verbose_name_plural': 'концерты артиста',
            },
        ),
        migrations.AddField(
            model_name='concert',
            name='artists',
            field=models.ManyToManyField(related_name='artists', through='concert.ConcertArtist', to='artist.Artist', verbose_name='артисты'),
        ),
    ]
